<?php do_action( 'airtech_before_header' ); ?>
<header class="header_area <?php if ( ! get_theme_mod( 'enable_hdr_right', false ) ) echo 'blv-no-hdrright' ?>">
    <div class="logo_part">
        <div class="container">
            <div class="logo_inner justify-content-between d-flex">
                <div class="left">
                <!-- Logo -->
                <?php if ( true == get_theme_mod( 'cust_logo', true ) ) {
					echo airtech_logo();
                } else { ?>
                <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
				<?php } ?>
                </div>
				<?php airtech_header_right(); ?>
            </div>
        </div>
    </div>
    <div class="main_menu">
        <div class="container">
			<nav class="navbar navbar-expand-lg navbar-light bg-light">
                <!-- Logo -->
                <?php if ( true == get_theme_mod( 'cust_logo', true ) ) {
					echo airtech_logo( array('','navbar-brand') );
                } else { ?>
                <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
				<?php } ?>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php esc_html_e( 'Toggle navigation', 'airtech' ); ?>">
						<span></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<!-- The WordPress Menu goes here -->
			    <?php
	            if ( function_exists( 'has_nav_menu' ) && has_nav_menu( 'primary-menu' ) ) {
                wp_nav_menu(
                array(
                    'depth'             => 3,
                    'theme_location'    => 'primary-menu',
                    'container'         => false,
                    'menu_class'        => 'nav navbar-nav mr-auto',
                    'fallback_cb'       => '',
                    'menu_id'           => '',
					'walker'            => new Airtech_WP_Bootstrap_Navwalker(),
	                ) );
	            } else {
	                esc_html_e( 'Please assign primary menu in wp-admin->Appearance->Menus', 'airtech' );
	            } ?>
				<?php if ( true == get_theme_mod( 'enable_menu_btn', false ) ) { ?>
				<ul class="nav navbar-nav navbar-right">
					<li class="request_btn">
						<a href="<?php echo esc_url( get_theme_mod( 'hdr_btn_link', '' ) ); ?>">
							<?php echo wp_kses(get_theme_mod( 'hdr_btn_text', '' ), airtech_blv_allowed_tags()); ?>
						</a>
					</li>
				</ul>
				<?php } ?>
				</div>
			</nav>
		</div>
    </div>
</header>
